<?php
class PDF extends FPDF
{

  function Header()
  {
    $vvt                      = new vvt();
    $this->SetFont('Arial','B',15);
    $this->SetY(20);
    $this->SetX(20);
    $this->Cell(170,6,'VVT - ' . $vvt->getClientCompany($_GET['id']) . ' - Seite '.$this->PageNo().'/{nb}', 0, 0, 'C');
    $this->Ln(20);
  }

  function Footer()
  {
    // Position at 1.5 cm from bottom
    $this->SetY(-15);
    // Arial italic 8
    $this->SetFont('Arial','B',10);
    // Page number
    $this->Cell(0,10,'Seite ' . $this->PageNo() . '/{nb}' . ' - DSB Holzheu',0,0,'');
  }
}


$pdf                              = new PDF('P', 'mm', 'A4');
$pdf->SetCreator("DSB-Holzheu");
$pdf->SetAuthor("DSB-Holzheu");
$pdf->AliasNbPages();
$pdf->AddPage();
$replaceStatisticsArray           = array(
    '&auml;',
    '&ouml;',
    '&uuml;',
    '&Auml;',
    '&Ouml;',
    '&Uuml;',
    '&szlig;',
    '&bull;',
    '&quot;',
);
$replacementStatisticsArray       = array(
    'ä',
    'ö',
    'ü',
    'Ä',
    'Ö',
    'Ü',
    'ß',
    '- ',
    '"',
);
$companyData                      = $rowClient['firma'] . "\n" .
                                    'Ansprechpartner: ' . $rowClient['name'] . "\n" .
                                    $rowClient['adresse'];
$companyData                      = str_replace($replaceStatisticsArray, $replacementStatisticsArray, $companyData);
$y0                               = $pdf->GetY();
$pdf->SetFont('Arial','',18);
$pdf->SetY($y0 +10);
$pdf->SetX(20);
$pdf->Cell(170,6,iconv("UTF-8", "iso-8859-1", "Verzeichnis von Verarbeitungstätigkeiten"), 0, 0, 'C');
$pdf->SetY($y0 +20);
$pdf->SetX(20);
$pdf->MultiCell(170,8,utf8_decode($companyData), 0, 'C');

$pdf->AddPage();
$headline                         = 'Verzeichnis von Verarbeitungstätigkeiten Verantwortlicher gem. Artikel 30 Abs. 1 DSGVO';
$ansprechpartnerIntern            = 'Angabe zum Verantwortlichen' . "\n" .
                                    'Name und Kontaktdaten natürliche Person/juristische Person/Behörde/Einrichtung etc.' ."\n\n" .
                                    'Name: ' . $rowClient['name'] . "\n" .
                                    'Adresse: ' . $rowClient['adresse'] . "\n" .
                                    'Telefon: ' . $rowClient['tel'] . "\n" .
                                    'E-Mail: ' . $rowClient['email'] . "\n";
$ansprechpartnerIntern2           = 'Name: ' . $rowClient['name'] . "\n" .
                                    'Adresse: ' . $rowClient['adresse'] . "\n" .
                                    'Telefon: ' . $rowClient['tel'] . "\n" .
                                    'E-Mail: ' . $rowClient['email'] . "\n";
$ansprechpartnerExtern            = 'Angabe zur Person des Datenschutzbeauftragten *' . "\n" .
                                    '(extern mit Anschrift), *sofern gem. Artikel 37 DS-GVO benannt' ."\n\n" .
                                    'Name: ' . $rowUser['first_name'] . ' ' . $rowUser['last_name'] . "\n" .
                                    'Adresse: ' . $rowUser['address'] . "\n" .
                                    'Telefon: ' . $rowUser['tel'] . "\n" .
                                    'E-Mail: ' . $rowUser['email'] . "\n";
$y0a                              = $pdf->GetY();
$pdf->SetFont('Arial','',14);
$pdf->SetY($y0a +0);
$pdf->SetX(20);
$pdf->MultiCell(170,6,iconv("UTF-8", "iso-8859-1", $headline), 0, '');
$pdf->SetFont('Arial','',10);
$pdf->SetY($y0a +20);
$pdf->SetX(20);
$pdf->MultiCell(170,8,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, $ansprechpartnerIntern)), 1, '');

$y0b                              = $pdf->GetY();
$pdf->SetY($y0b +0);
$pdf->SetX(20);
$pdf->MultiCell(170,8,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, $ansprechpartnerExtern)), 1, '');
$pdf->AddPage();
$amount                           = 0;
foreach ($rows as $row) {
  $y1                             = $pdf->GetY();
  $pdf->SetFont('Arial','',10);
  $pdf->SetY($y1);
  $pdf->SetX(20);
  $pdf->MultiCell(150,8,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, $row['name'])), 1, '');
  $pdf->SetY($y1);
  $pdf->SetX(170);
  $pdf->MultiCell(20,8,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'lfd. Nr. ' . $row['vvt_id'])), 1, '');
  
  $y1b                            = $pdf->GetY();
  $pdf->SetX(20);
  $pdf->MultiCell(90,8,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Datum der Einführung: ' . date("d.m.Y", $row['angelegt']))), 1, '');
  $pdf->SetY($y1b);
  $pdf->SetX(110);
  $pdf->MultiCell(80,8,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Datum der letzten Änderung ' . date("d.m.Y", $row['geaendert']))), 1, '');
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Verantwortliche Fachabteilung - Ansprechpartner' . "\n" . $ansprechpartnerIntern2)), 1, '');
  $pdf->Ln();
  /*
   * Blöcke
   */
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Zwecke der Verarbeitung (Art. 30 Abs. 1 S. 2 lit. b)' . "\n\n" . $row['zweck'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Beschreiben Sie, warum diese Datenverabeitung erfoderlich/erlaubt ist (Rechtsgundlage):' . "\n\n" . $row['beschr_warum_erlaubt'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Beschreibung der Kategorien betroffener Personen: (Art. 30 Abs. 1 S. 2 lit. c):' . "\n\n" . $row['betr_personen'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Beschreibung der Kategorien von personenbezogenen Daten (Art. 30 Abs. 1 S. 2 lit. c):' . "\n\n" . $row['betr_daten_der_pers'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Werden die Daten weitergegeben? Wenn ja, an wen? (Art. 30 Abs. 1 S. 2 lit. d):' . "\n\n" . $row['weitergabe'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Übermittlung in Drittländer oder an internationale Organisationen (Art. 30 Abs. 1 S. 2 lit. e):' . "\n\n" . $row['uebermittlung_laender'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Aufbewahrungsfristen / Wie lange müssen die Daten aufbewahrt werden? (Löschfristen):' . "\n\n" . $row['aufbewahrungsfrist'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'TOM - Bitte beschreiben Sie, welche technischen und organisatorischen Maßnahmen zur Datensicherheit getroffen wurden:' . "\n\n" . $row['tom'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Risiko-Quellen / Möglicher Schaden:' . "\n\n" . $row['risiko_quellen_schaden'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Datenschutzfolgeabschätzung erfoderlich:' . "\n\n" . $row['ds_folge_schaetzung'])), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Risiko Eintrittswahrscheinlichkeit:' . "\n\n" . $vvt->showVvtRiskProbability($row['risiko_eintritt']))), 1, '');
  $pdf->Ln();
  
  $pdf->SetX(20);
  $pdf->MultiCell(170,5,utf8_decode(str_replace($replaceStatisticsArray, $replacementStatisticsArray, 'Risiko Schadenspotential:' . "\n\n" . $vvt->showVvtRiskPotential($row['risiko_schaden']))), 1, '');
  $pdf->Ln();
  
  $amount++;
  if ($amount                     == 1) {
    $pdf->AddPage();
    $amount                       = 0;
  }
}

$pdf->Output( 'vvt-report.pdf', 'I' );